Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd3d.transform
Class RotateTransformData

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.qd3d.transform.RotateTransformData

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class RotateTransformData
extends QTByteObject
implements java.lang.Cloneable

RotateTransformData contains information for three dimensional rotations. refer to RotateTransformData in QuickDraw3D

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`RotateTransformData()` Creates a RotateTransformData object containing no data.
`RotateTransformData(int axis, float radians)` Creates a RotateTransformData object containing with given data.

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this class.
`int` | `getAxis()` returns the axis around which rotation will happen.
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for this class.
`float` | `getRadian()` returns angle of rotation in radians.
`void` | `setAxis(int axis)` sets the the axis around which rotation will happen.
`void` | `setRadian(float radians)` sets angle of rotation in radians.
`java.lang.String` | `toString()` Returns a string representation of the class

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### RotateTransformData

    public RotateTransformData()

  Creates a RotateTransformData object containing no data.

### RotateTransformData

    public RotateTransformData(int axis,
                               float radians)

  Creates a RotateTransformData object containing with given data.
  Parameters:
    `axis` - The axis specification: 0 - X, 1 - Y, 2 - Z.
    `radians` - The angle mesuared in radians.

Method Detail

### getEndianDescriptor

    public static final EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for this class.
  Returns:
    an EndianDescriptor

### getAxis

    public int getAxis()

  returns the axis around which rotation will happen.

### getRadian

    public float getRadian()

  returns angle of rotation in radians.

### setAxis

    public void setAxis(int axis)

  sets the the axis around which rotation will happen.

### setRadian

    public void setRadian(float radians)

  sets angle of rotation in radians.

### clone

    public java.lang.Object clone()

  Returns a copy of this class.

### toString

    public java.lang.String toString()

  Returns a string representation of the class
  Overrides:
    `toString` in class `QTByteObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD